### Enumeration

# Fwupd FeatureFlags

#### Declaration

    flags Fwupd.FeatureFlags

#### Description [src]

The flags to the feature capabilities of the front-end client.

#### Members

Name | Description
--- | ---
`FWUPD_FEATURE_FLAG_NONE` | No trust.
`FWUPD_FEATURE_FLAG_CAN_REPORT` | Can upload a report of the update back to the server.
`FWUPD_FEATURE_FLAG_DETACH_ACTION` | Can perform detach action, typically showing text.
`FWUPD_FEATURE_FLAG_UPDATE_ACTION` | Can perform update action, typically showing text.
`FWUPD_FEATURE_FLAG_SWITCH_BRANCH` | Can switch the firmware branch.
`FWUPD_FEATURE_FLAG_REQUESTS` | Can show interactive requests.
`FWUPD_FEATURE_FLAG_FDE_WARNING` | Can warn about full disk encryption.
`FWUPD_FEATURE_FLAG_COMMUNITY_TEXT` | Can show information about community supported.
`FWUPD_FEATURE_FLAG_SHOW_PROBLEMS` | Can show problems when getting the update list.
`FWUPD_FEATURE_FLAG_ALLOW_AUTHENTICATION` | Can authenticate with PolicyKit for requests.
`FWUPD_FEATURE_FLAG_REQUESTS_NON_GENERIC` | Can handle showing non-generic request message text.